package com.jiuqi.util;

import java.util.Locale;
import java.util.TimeZone;
import java.util.GregorianCalendar;

public class OurGregorianCalendar extends GregorianCalendar
{
    public OurGregorianCalendar() {
    }
    
    public OurGregorianCalendar(final TimeZone zone) {
        super(zone);
    }
    
    public OurGregorianCalendar(final Locale aLocale) {
        super(aLocale);
    }
    
    public OurGregorianCalendar(final TimeZone zone, final Locale aLocale) {
        super(zone, aLocale);
    }
    
    public OurGregorianCalendar(final int year, final int month, final int date) {
        super(year, month, date);
    }
    
    public OurGregorianCalendar(final int year, final int month, final int date, final int hour, final int minute) {
        super(year, month, date, hour, minute);
    }
    
    public OurGregorianCalendar(final int year, final int month, final int date, final int hour, final int minute, final int second) {
        super(year, month, date, hour, minute, second);
    }
    
    public void setTimeInMillisEx(final long timeInMillis) {
        this.setTimeInMillis(timeInMillis);
    }
    
    public long getTimeInMillisEx() {
        return this.getTimeInMillis();
    }
}
